Bug 92520 - [NEW PORT] ratbox-services - IRC services package for ircd-ratbox
Summary: [NEW PORT] ratbox-services - IRC services package for ircd-ratbox
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Pav Lucistnik
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-01-30 01:50 UTC by Shaun Amott
Modified: 2006-05-01 13:46 UTC (History)
0 users

See Also:


Attachments
ratbox-services-1.0.1.shar (18.96 KB, text/plain)
2006-01-30 01:50 UTC, Shaun Amott
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Shaun Amott 2006-01-30 01:50:02 UTC
This is ratbox-services; an IRC services package for use with ircd-ratbox.
Comment 1 Pav Lucistnik freebsd_committer 2006-04-30 22:38:04 UTC
State Changed
From-To: open->feedback

Does not download. Looks like there's already 1.0.3 on ther master sites. 
And you forgot distinfo. 


Comment 2 Pav Lucistnik freebsd_committer 2006-04-30 22:38:04 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pav

Track
Comment 3 Shaun Amott 2006-05-01 00:55:13 UTC
On Sun, Apr 30, 2006 at 09:38:27PM +0000, Pav Lucistnik wrote:
> 
> Does not download. Looks like there's already 1.0.3 on ther master sites.
> And you forgot distinfo.
> 

Amended and upgraded ratbox-services port below. The PLIST, etc., is the
same.

Manually tested on : 6.x (i386)
Tinderbox tested on: 5.x (sparc64)


----- begin ratbox-services-1.0.3.shar -----
# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	ratbox-services
#	ratbox-services/files
#	ratbox-services/files/pkg-install.in
#	ratbox-services/files/pkg-message.in
#	ratbox-services/files/ratbox-services.sh.in
#	ratbox-services/files/patch-Makefile.in
#	ratbox-services/files/patch-include_config.h
#	ratbox-services/files/patch-help_Makefile.in
#	ratbox-services/Makefile
#	ratbox-services/pkg-descr
#	ratbox-services/pkg-plist
#	ratbox-services/distinfo
#
echo c - ratbox-services
mkdir -p ratbox-services > /dev/null 2>&1
echo c - ratbox-services/files
mkdir -p ratbox-services/files > /dev/null 2>&1
echo x - ratbox-services/files/pkg-install.in
sed 's/^X//' >ratbox-services/files/pkg-install.in << 'END-of-ratbox-services/files/pkg-install.in'
X#!/bin/sh
X#
X# Adapted from irc/ircd-hybrid's script
X#
X
Xask() {
X	local question default answer
X
X	question=$1
X	default=$2
X	if [ -z "${PACKAGE_BUILDING}" ]; then
X		read -p "${question} [${default}]? " answer
X	fi
X	if [ x${answer} = x ]; then
X		answer=${default}
X	fi
X	echo ${answer}
X}
X
Xyesno() {
X	local dflt question answer
X
X	question=$1
X	dflt=$2
X	while :; do
X		answer=$(ask "${question}" "${dflt}")
X		case "${answer}" in
X		[Yy]*)          return 0;;
X		[Nn]*)          return 1;;
X		esac
X		echo "Please answer yes or no."
X	done
X}
X
X#-----------------------------------------------------------------------
Xif [ "x$2" = "xPRE-INSTALL" ]; then
X#-----------------------------------------------------------------------
X
Xif which -s pw ; then
X	:
Xelse
X	cat <<EOF
XYour system does not include the "pw" utility.  You should upgrade
Xto a newer version of FreeBSD.  Without "pw" this script will not
Xrun.
XEOF
X	exit 1
Xfi
X
Xecho ""
Xif pw groupshow ircservices 2> /dev/null ; then
X	echo "You already have a group \"ircservices\", so I will use it."
Xelse
X	if pw groupshow 73 2> /dev/null ; then
X		echo "You already have a gid \"73\".  Please create a user \"ircservices\""
X		echo "with a default group of \"ircservices\"."
X		exit 1
X	fi
X	echo "You need a group \"ircservices\"."
X	if which -s pw && yesno "Would you like me to create it" y; then
X		pw groupadd ircservices -g 73 || exit
X		echo "Done."
X	else
X		echo "Please create it, and try again."
X		if ! pw usershow ircservices 2> /dev/null ; then
X			echo "While you're at it, please create a user \"ircservices\""
X			echo 'too, with a default group of "ircservices".'
X		fi
X		exit 1
X	fi
Xfi
X
Xif pw usershow ircservices 2> /dev/null ; then
X	echo "You already have a user \"ircservices\", so I will use it."
Xelse
X        if pw usershow 73 2> /dev/null ; then
X                echo "You already have a uid \"73\".  Please create a user \"irc
Xd\""
X                echo "with a default group of \"ircservices\"."
X                exit 1
X        fi
X	echo "You need a user \"ircservices\"."
X	if which -s pw && yesno "Would you like me to create it" y; then
X		pw useradd ircservices -g ircservices -u 73 -h - -d /nonexistent \
X			-s /nonexistent -c "IRC services" || exit
X		echo "Done."
X	else
X		echo "Please create it, and try again."
X		exit 1
X	fi
Xfi
X
X#-----------------------------------------------------------------------
Xelif [ "x$2" = "xPOST-INSTALL" ]; then
X#-----------------------------------------------------------------------
X
Xlf="%%LOGDIR%%/ratbox-services.log"
X
Xtouch $lf				\
X&& chown ircservices:ircservices $lf	\
X&& chmod 640 $lf
X
Xmkdir -p %%DBDIR%%
X
Xdb="%%DBDIR%%/ratbox-services.db"
X
Xif [ ! -f $db ]; then
X	echo "Initialising services database..."
X	%%LOCALBASE%%/bin/sqlite $db < %%DATADIR%%/schema.sql
Xfi
X
X# Secure permissions if we think this is a fresh install
X
Xif [ ! -f ${PKG_PREFIX}/ratbox-services.conf ]; then
X	chown -R ircservices:ircservices %%DBDIR%%
X	chown ircservices:ircservices ${PKG_PREFIX}/etc/ratbox-services.conf.sample
X	chmod 750 %%DBDIR%%
X	chmod 640 $db
X	chmod 640 ${PKG_PREFIX}/etc/ratbox-services.conf.sample
Xfi
X
X#-----------------------------------------------------------------------
Xfi
X#-----------------------------------------------------------------------
X
Xexit 0
END-of-ratbox-services/files/pkg-install.in
echo x - ratbox-services/files/pkg-message.in
sed 's/^X//' >ratbox-services/files/pkg-message.in << 'END-of-ratbox-services/files/pkg-message.in'
X------------------------------------------------------------------------
Xratbox-services has been successfully installed.
X
XYou should now copy %%PREFIX%%/etc/ratbox-services.conf.sample to
X%%PREFIX%%/etc/ratbox-services.conf, and edit it as per the ratbox-services
Xdocumentation. This file is required to start the server.
X
XOnce you have added ratbox_services_enable="YES" to /etc/rc.conf, the
Xserver can be started by running:
X
X	%%PREFIX%%/etc/rc.d/ratbox-services.sh start
X------------------------------------------------------------------------
END-of-ratbox-services/files/pkg-message.in
echo x - ratbox-services/files/ratbox-services.sh.in
sed 's/^X//' >ratbox-services/files/ratbox-services.sh.in << 'END-of-ratbox-services/files/ratbox-services.sh.in'
X#!/bin/sh
X
X# PROVIDE: ratbox-services
X# REQUIRE: DAEMON
X# BEFORE:  LOGIN
X
X. %%RC_SUBR%%
X
Xname="ratbox_services"
Xrcvar=`set_rcvar`
Xload_rc_config $name
X
Xratbox_services_enable=${ratbox_services_enable:-"NO"}
Xratbox_services_user=${ratbox_services_user:-"ircservices"}
Xratbox_services_group=${ratbox_services_group:-"ircservices"}
X
Xcommand="%%PREFIX%%/sbin/ratbox-services"
Xpidfile=%%RUNDIR%%/ratbox-services.pid
Xrequired_files="%%PREFIX%%/etc/ratbox-services.conf"
X
Xstart_precmd=prestart
Xstop_precmd=prestop
X
Xprestart()
X{
X	touch $pidfile
X	chown $ratbox_services_user:$ratbox_services_group $pidfile
X}
X
Xprestop()
X{
X	rm -f $pidfile
X}
X
Xrun_rc_command "$1"
END-of-ratbox-services/files/ratbox-services.sh.in
echo x - ratbox-services/files/patch-Makefile.in
sed 's/^X//' >ratbox-services/files/patch-Makefile.in << 'END-of-ratbox-services/files/patch-Makefile.in'
X--- Makefile.in.orig	Wed May 18 00:33:18 2005
X+++ Makefile.in	Sat Jan 28 22:58:12 2006
X@@ -6,7 +6,7 @@
X LIBS=@LIBS@
X LDFLAGS=@LDFLAGS@
X 
X-SUBDIRS=@SQLITE_SUBDIR@ src help
X+SUBDIRS=src help
X 
X prefix=@prefix@
X exec_prefix=@prefix@
X@@ -36,17 +36,6 @@
X 	done
X 
X install: build
X-	$(INSTALL) -m 750 -d $(DESTDIR)$(prefix)
X-	$(INSTALL) -m 750 -d $(DESTDIR)$(bindir)
X-	$(INSTALL) -m 750 -d $(DESTDIR)$(sbindir)
X-	$(INSTALL) -m 750 -d $(DESTDIR)$(sysconfdir)
X-	$(INSTALL) -m 750 -d $(DESTDIR)$(logdir)
X-	$(INSTALL) -m 750 -d $(DESTDIR)$(rundir)
X-	$(INSTALL) -m 750 -d $(DESTDIR)$(helpdir)
X-	$(INSTALL) -m 750 tools/ircd-shortcut.pl $(DESTDIR)$(bindir)
X-	$(INSTALL) -m 750 src/$(BIN) $(DESTDIR)$(sbindir)
X-	$(INSTALL) -m 640 doc/example.conf $(DESTDIR)$(sysconfdir)
X-	$(INSTALL) -m 640 doc/schema.txt $(DESTDIR)$(sysconfdir)
X 	@for i in $(SUBDIRS); do \
X 		echo "install -> $$i"; \
X 		cd $$i; \
END-of-ratbox-services/files/patch-Makefile.in
echo x - ratbox-services/files/patch-include_config.h
sed 's/^X//' >ratbox-services/files/patch-include_config.h << 'END-of-ratbox-services/files/patch-include_config.h'
X--- include/config.h.orig	Tue Aug 23 20:41:19 2005
X+++ include/config.h	Sat Jan 28 22:08:14 2006
X@@ -5,11 +5,13 @@
X  * IMPORTANT: if you alter the directories these files go to,
X  *            you must create those paths yourself.
X  */
X+#define DBDIR		"%%DBDIR%%"
X+
X #define CONF_PATH	SYSCONFDIR "/ratbox-services.conf"
X #define PID_PATH	RUNDIR "/ratbox-services.pid"
X #define LOG_PATH	LOGDIR "/ratbox-services.log"
X #define HELP_PATH       HELPDIR
X-#define DB_PATH		SYSCONFDIR "/ratbox-services.db"
X+#define DB_PATH		DBDIR "/ratbox-services.db"
X 
X /* SMALL_NETWORK
X  * If your network is fairly small, enable this to save some memory.
END-of-ratbox-services/files/patch-include_config.h
echo x - ratbox-services/files/patch-help_Makefile.in
sed 's/^X//' >ratbox-services/files/patch-help_Makefile.in << 'END-of-ratbox-services/files/patch-help_Makefile.in'
X--- help/Makefile.in.orig	Wed Jun 15 15:21:39 2005
X+++ help/Makefile.in	Sat Jan 28 23:15:11 2006
X@@ -10,10 +10,10 @@
X SUBDIRS=alis main operbot chanserv userserv jupeserv operserv nickserv global banserv
X 
X install: 
X-	$(INSTALL) -m 750 -d $(DESTDIR)$(helpdir)
X+	$(INSTALL) -d $(DESTDIR)$(helpdir)
X 
X 	@for i in $(SUBDIRS); do \
X-		$(INSTALL) -m 750 -d $(DESTDIR)$(helpdir)/$$i; \
X+		$(INSTALL) -d $(DESTDIR)$(helpdir)/$$i; \
X 		for j in $$i/*; do \
X 			if [ -f $$j ]; then \
X 				$(INSTALL_DATA) $$j $(DESTDIR)$(helpdir)/$$i; \
END-of-ratbox-services/files/patch-help_Makefile.in
echo x - ratbox-services/Makefile
sed 's/^X//' >ratbox-services/Makefile << 'END-of-ratbox-services/Makefile'
X# New ports collection makefile for:	ratbox-services
X# Date Created:				2006-01-27
X# Whom:					Shaun Amott <shaun@inerd.com>
X#
X# $FreeBSD$
X
XPORTNAME=	ratbox-services
XPORTVERSION=	1.0.3
XCATEGORIES=	irc
XMASTER_SITES=	ftp://ftp.ircd-ratbox.org/pub/ircd-ratbox/${PORTNAME}/		\
X		ftp://ftp.demon.co.uk/pub/mirrors/ircd-ratbox/${PORTNAME}/	\
X		http://services.ircd-ratbox.org/download/			\
X		ftp://ftp.parodius.com/pub/ircd-ratbox/${PORTNAME}/		\
X		http://mirror.inerd.com/FreeBSD/distfiles/${PORTNAME}/
XEXTRACT_SUFX=	.tgz
X
XMAINTAINER=	shaun@inerd.com
XCOMMENT=	A highly configurable services package for use with ircd-ratbox
X
XUSE_RC_SUBR=	ratbox-services.sh
X
XLOGDIR?=	/var/log
XRUNDIR?=	/var/run
XDBDIR?=		/var/db/${PORTNAME}
XSUB_FILES=	pkg-message pkg-install
XPLIST_SUB=	LOGDIR=${LOGDIR} RUNDIR=${RUNDIR} DBDIR=${DBDIR}
XSUB_LIST=	LOGDIR=${LOGDIR} RUNDIR=${RUNDIR} DBDIR=${DBDIR}
X
XGNU_CONFIGURE=	yes
XCONFIGURE_ARGS+=--sysconfdir=${PREFIX}/etc/	\
X		--with-logdir=${LOGDIR}		\
X		--with-rundir=${RUNDIR}		\
X		--with-helpdir=${DATADIR}/help	\
X		--with-sqlite=${LOCALBASE}	\
X		--without-sqlitebuild
X
XUSE_SQLITE=	2
X
XPORTDOCS=	operguide.txt
X
X#-- Options ------------------------------------------------------------
X
XOPTIONS=	NICKSERV	"Enable nickname registration service"		on \
X		CHANSERV	"Enable channel registration service"		on \
X		USERSERV	"Enable user service"				on \
X		OPERSERV	"Enable oper service"				on \
X		ALIS		"Enable advanced listing service"		on \
X		JUPESERV	"Enable jupe service"				on \
X		OPERBOT		"Enable operbot service"			on \
X		GLOBALMSG	"Enable global messaging service"		on \
X		BANSERV		"Enable ban service"				on
X
X#----------------------------------------------------------------------
X
X.include <bsd.port.pre.mk>
X
X.if defined(WITHOUT_NICKSERV)
XCONFIGURE_ARGS+=	--disable-nickserv
X.endif
X
X.if defined(WITHOUT_CHANSERV)
XCONFIGURE_ARGS+=	--disable-chanserv
X.endif
X
X.if defined(WITHOUT_USERSERV)
XCONFIGURE_ARGS+=	--disable-userserv
X.endif
X
X.if defined(WITHOUT_OPERSERV)
XCONFIGURE_ARGS+=	--disable-operserv
X.endif
X
X.if defined(WITHOUT_ALIS)
XCONFIGURE_ARGS+=	--disable-alis
X.endif
X
X.if defined(WITHOUT_JUPESERV)
XCONFIGURE_ARGS+=	--disable-jupeserv
X.endif
X
X.if defined(WITHOUT_OPERBOT)
XCONFIGURE_ARGS+=	--disable-operbot
X.endif
X
X.if defined(WITHOUT_GLOBALMSG)
XCONFIGURE_ARGS+=	--disable-global
X.endif
X
X.if defined(WITHOUT_BANSERV)
XCONFIGURE_ARGS+=	--disable-banserv
X.endif
X
X#-- User Configuration -------------------------------------------------
X
X.if defined(NICKLEN)
XCONFIGURE_ARGS+=	--with-nicklen=${NICKLEN}
X.endif
X
X.if defined(TOPICLEN)
XCONFIGURE_ARGS+=	--with-topiclen=${TOPICLEN}
X.endif
X
X#-----------------------------------------------------------------------
X
Xpre-configure:
X	@${ECHO_MSG} ""
X	@${ECHO_MSG} "This port has additional options:"
X	@${ECHO_MSG} "    NICKLEN     [default 9, max 50]    - Max nick length on server"
X	@${ECHO_MSG} "    TOPICLEN    [default 160, max 390] - Max topic length"
X	@${ECHO_MSG} ""
X	@${ECHO_MSG} "THESE SHOULD BE CONSISTENT WITH YOUR IRCD-RATBOX SERVER/NETWORK!"
X	@${ECHO_MSG} ""
X	@${ECHO_MSG} "Press CTRL+C now if you wish to set them."
X	@${ECHO_MSG} ""
X
Xpost-patch:
X	@${REINPLACE_CMD} -e "s#-O[02]##g" ${WRKSRC}/configure
X
X	@${REINPLACE_CMD} -e "s#%%DBDIR%%#${DBDIR}#g" ${WRKSRC}/include/config.h
X
Xpre-su-install:
X	@${SETENV} "PKG_PREFIX=${PREFIX}" ${SH} ${PKGINSTALL} ${PKGNAME} PRE-INSTALL
X	${MKDIR}  ${DATADIR}/help
X
Xpost-install:
X.if !defined(NOPORTDOCS)
X	@${MKDIR} ${DOCSDIR}
X	cd ${WRKSRC}/doc && ${INSTALL_DATA} ${PORTDOCS} ${DOCSDIR}
X.endif
X	${INSTALL_PROGRAM} ${WRKSRC}/src/ratbox-services ${PREFIX}/sbin/
X	${INSTALL_SCRIPT} ${WRKSRC}/tools/ircd-shortcut.pl ${PREFIX}/bin/ircd-shortcut
X	${INSTALL_DATA} ${WRKSRC}/doc/example.conf ${PREFIX}/etc/ratbox-services.conf.sample
X	${INSTALL_DATA} ${WRKSRC}/doc/schema.txt ${DATADIR}/schema.sql
X
X	@${SETENV} "PKG_PREFIX=${PREFIX}" ${SH} ${PKGINSTALL} ${PKGNAME} POST-INSTALL
X	@${CAT} ${PKGMESSAGE}
X
X#-----------------------------------------------------------------------
X
X.include <bsd.port.post.mk>
END-of-ratbox-services/Makefile
echo x - ratbox-services/pkg-descr
sed 's/^X//' >ratbox-services/pkg-descr << 'END-of-ratbox-services/pkg-descr'
Xratbox-services is a services package written mostly from scratch for
Xuse with ircd-ratbox.
X
XIt is highly configurable, with nearly all options being set in a config
Xthat can be rehashed rather than set at compile time. It also uses the
XSQLite database backend, which works as a database interface to a normal
Xfile, meaning no seperate database software must be running.
X
XFeatures:
X	- User, nick and channel services
X	- Jupe service
X	- Global message service
X	- Oper services
X	- Opered bot
X	- List service
X
XWWW: http://services.ircd-ratbox.org/
END-of-ratbox-services/pkg-descr
echo x - ratbox-services/pkg-plist
sed 's/^X//' >ratbox-services/pkg-plist << 'END-of-ratbox-services/pkg-plist'
Xbin/ircd-shortcut
Xetc/ratbox-services.conf.sample
Xsbin/ratbox-services
X%%DATADIR%%/schema.sql
X%%DATADIR%%/help/alis/general
X%%DATADIR%%/help/alis/index
X%%DATADIR%%/help/alis/list
X%%DATADIR%%/help/main/u-boot
X%%DATADIR%%/help/main/u-connect
X%%DATADIR%%/help/main/u-die
X%%DATADIR%%/help/main/u-events
X%%DATADIR%%/help/main/u-flags
X%%DATADIR%%/help/main/u-quit
X%%DATADIR%%/help/main/u-rehash
X%%DATADIR%%/help/main/u-service
X%%DATADIR%%/help/main/u-stats
X%%DATADIR%%/help/main/u-status
X%%DATADIR%%/help/main/u-who
X%%DATADIR%%/help/operbot/general
X%%DATADIR%%/help/operbot/index
X%%DATADIR%%/help/operbot/index-admin
X%%DATADIR%%/help/operbot/invite
X%%DATADIR%%/help/operbot/objoin
X%%DATADIR%%/help/operbot/obpart
X%%DATADIR%%/help/operbot/op
X%%DATADIR%%/help/operbot/u-objoin
X%%DATADIR%%/help/operbot/u-obpart
X%%DATADIR%%/help/chanserv/addban
X%%DATADIR%%/help/chanserv/adduser
X%%DATADIR%%/help/chanserv/chandrop
X%%DATADIR%%/help/chanserv/chaninfo
X%%DATADIR%%/help/chanserv/chanlist
X%%DATADIR%%/help/chanserv/chanregister
X%%DATADIR%%/help/chanserv/chansuspend
X%%DATADIR%%/help/chanserv/chanunsuspend
X%%DATADIR%%/help/chanserv/clearallops
X%%DATADIR%%/help/chanserv/clearbans
X%%DATADIR%%/help/chanserv/clearmodes
X%%DATADIR%%/help/chanserv/clearops
X%%DATADIR%%/help/chanserv/delban
X%%DATADIR%%/help/chanserv/deluser
X%%DATADIR%%/help/chanserv/general
X%%DATADIR%%/help/chanserv/getkey
X%%DATADIR%%/help/chanserv/index
X%%DATADIR%%/help/chanserv/index-admin
X%%DATADIR%%/help/chanserv/info
X%%DATADIR%%/help/chanserv/invite
X%%DATADIR%%/help/chanserv/listbans
X%%DATADIR%%/help/chanserv/listusers
X%%DATADIR%%/help/chanserv/modauto
X%%DATADIR%%/help/chanserv/modban
X%%DATADIR%%/help/chanserv/moduser
X%%DATADIR%%/help/chanserv/op
X%%DATADIR%%/help/chanserv/set
X%%DATADIR%%/help/chanserv/register
X%%DATADIR%%/help/chanserv/suspend
X%%DATADIR%%/help/chanserv/u-chandrop
X%%DATADIR%%/help/chanserv/u-chaninfo
X%%DATADIR%%/help/chanserv/u-chanregister
X%%DATADIR%%/help/chanserv/u-chansuspend
X%%DATADIR%%/help/chanserv/u-chanunsuspend
X%%DATADIR%%/help/chanserv/unban
X%%DATADIR%%/help/chanserv/unsuspend
X%%DATADIR%%/help/chanserv/voice
X%%DATADIR%%/help/userserv/general
X%%DATADIR%%/help/userserv/index
X%%DATADIR%%/help/userserv/index-admin
X%%DATADIR%%/help/userserv/info
X%%DATADIR%%/help/userserv/login
X%%DATADIR%%/help/userserv/logout
X%%DATADIR%%/help/userserv/register
X%%DATADIR%%/help/userserv/set
X%%DATADIR%%/help/userserv/u-userdrop
X%%DATADIR%%/help/userserv/u-userinfo
X%%DATADIR%%/help/userserv/u-userregister
X%%DATADIR%%/help/userserv/u-usersetpass
X%%DATADIR%%/help/userserv/u-usersuspend
X%%DATADIR%%/help/userserv/u-userunsuspend
X%%DATADIR%%/help/userserv/userdrop
X%%DATADIR%%/help/userserv/userinfo
X%%DATADIR%%/help/userserv/userlist
X%%DATADIR%%/help/userserv/userregister
X%%DATADIR%%/help/userserv/usersetpass
X%%DATADIR%%/help/userserv/usersuspend
X%%DATADIR%%/help/userserv/userunsuspend
X%%DATADIR%%/help/jupeserv/calljupe
X%%DATADIR%%/help/jupeserv/callunjupe
X%%DATADIR%%/help/jupeserv/general
X%%DATADIR%%/help/jupeserv/index
X%%DATADIR%%/help/jupeserv/index-admin
X%%DATADIR%%/help/jupeserv/jupe
X%%DATADIR%%/help/jupeserv/pending
X%%DATADIR%%/help/jupeserv/u-jupe
X%%DATADIR%%/help/jupeserv/u-unjupe
X%%DATADIR%%/help/jupeserv/unjupe
X%%DATADIR%%/help/operserv/general
X%%DATADIR%%/help/operserv/index
X%%DATADIR%%/help/operserv/index-admin
X%%DATADIR%%/help/operserv/omode
X%%DATADIR%%/help/operserv/osjoin
X%%DATADIR%%/help/operserv/ospart
X%%DATADIR%%/help/operserv/takeover
X%%DATADIR%%/help/operserv/u-omode
X%%DATADIR%%/help/operserv/u-osjoin
X%%DATADIR%%/help/operserv/u-ospart
X%%DATADIR%%/help/operserv/u-takeover
X%%DATADIR%%/help/nickserv/drop
X%%DATADIR%%/help/nickserv/general
X%%DATADIR%%/help/nickserv/index
X%%DATADIR%%/help/nickserv/index-admin
X%%DATADIR%%/help/nickserv/info
X%%DATADIR%%/help/nickserv/nickdrop
X%%DATADIR%%/help/nickserv/regain
X%%DATADIR%%/help/nickserv/register
X%%DATADIR%%/help/nickserv/release
X%%DATADIR%%/help/nickserv/set
X%%DATADIR%%/help/nickserv/u-nickdrop
X%%DATADIR%%/help/global/general
X%%DATADIR%%/help/global/index
X%%DATADIR%%/help/global/index-admin
X%%DATADIR%%/help/global/netmsg
X%%DATADIR%%/help/global/u-netmsg
X%%DATADIR%%/help/banserv/findkline
X%%DATADIR%%/help/banserv/findresv
X%%DATADIR%%/help/banserv/findxline
X%%DATADIR%%/help/banserv/general
X%%DATADIR%%/help/banserv/index
X%%DATADIR%%/help/banserv/index-admin
X%%DATADIR%%/help/banserv/kline
X%%DATADIR%%/help/banserv/resv
X%%DATADIR%%/help/banserv/sync
X%%DATADIR%%/help/banserv/u-findkline
X%%DATADIR%%/help/banserv/u-findresv
X%%DATADIR%%/help/banserv/u-findxline
X%%DATADIR%%/help/banserv/u-kline
X%%DATADIR%%/help/banserv/u-resv
X%%DATADIR%%/help/banserv/u-sync
X%%DATADIR%%/help/banserv/u-unkline
X%%DATADIR%%/help/banserv/u-unresv
X%%DATADIR%%/help/banserv/u-unxline
X%%DATADIR%%/help/banserv/u-xline
X%%DATADIR%%/help/banserv/unkline
X%%DATADIR%%/help/banserv/unresv
X%%DATADIR%%/help/banserv/unxline
X%%DATADIR%%/help/banserv/xline
X@dirrm %%DATADIR%%/help/alis
X@dirrm %%DATADIR%%/help/main
X@dirrm %%DATADIR%%/help/operbot
X@dirrm %%DATADIR%%/help/chanserv
X@dirrm %%DATADIR%%/help/userserv
X@dirrm %%DATADIR%%/help/jupeserv
X@dirrm %%DATADIR%%/help/operserv
X@dirrm %%DATADIR%%/help/nickserv
X@dirrm %%DATADIR%%/help/global
X@dirrm %%DATADIR%%/help/banserv
X@dirrm %%DATADIR%%/help
X@dirrm %%DATADIR%%
X@dirrmtry %%DBDIR%%
X@unexec f="/var/log/ratbox-services.log"; if [ ! -s "$f" ]; then rm -f "$f"; fi
X@unexec f="/var/run/ratbox-services.pid"; if [ ! -s "$f" ]; then rm -f "$f"; fi
END-of-ratbox-services/pkg-plist
echo x - ratbox-services/distinfo
sed 's/^X//' >ratbox-services/distinfo << 'END-of-ratbox-services/distinfo'
XMD5 (ratbox-services-1.0.3.tgz) = acd4598d12b82c367f5a13110d784422
XSHA256 (ratbox-services-1.0.3.tgz) = 10e08ec21522499c8b3e6c1b37300a83f87e74b40a98ef19fcc40cd61127b510
XSIZE (ratbox-services-1.0.3.tgz) = 634213
END-of-ratbox-services/distinfo
exit

----- End of ratbox-services-1.0.3.shar -----

-- 
Shaun Amott [ PGP: 0x6B387A9A ]
    Scientia Est Potentia.
Comment 4 Pav Lucistnik freebsd_committer 2006-05-01 13:46:19 UTC
State Changed
From-To: feedback->closed

New port added, thank you!